Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.filterExtension
Class OdaFilterExprHelper

    java.lang.Object
      org.eclipse.birt.report.model.api.filterExtension.OdaFilterExprHelper

    public class OdaFilterExprHelper

extends java.lang.Object

OdaFilterExprHelper

Field Summary
`static java.util.Set` | `birtPredefinedFilters` BIRT predefined filter expression id.

Constructor Summary
`OdaFilterExprHelper()`

Method Summary
`static IFilterExprDefinition` | `getFilterExpressionDefn(java.lang.String birtFilterExprId, java.lang.String datasetExtId, java.lang.String datasourceExtId)` Return the IFilterExprDefinition instance based on the passed in BIRT predefined Filter expression name.
`static java.util.List<IFilterExprDefinition>` | `getMappedFilterExprDefinitions(java.lang.String dataSetExtId, java.lang.String dataSourceExtId)` Returns the list of IFilterExprDefinition.
`static boolean` | `supportOdaExtensionFilters()` Indicates if support the ODA extension filter expressions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### birtPredefinedFilters

    public static java.util.Set birtPredefinedFilters

  BIRT predefined filter expression id.

Constructor Detail

### OdaFilterExprHelper

    public OdaFilterExprHelper()

Method Detail

### getMappedFilterExprDefinitions

    public static java.util.List<IFilterExprDefinition> getMappedFilterExprDefinitions(java.lang.String dataSetExtId,
                                                                                       java.lang.String dataSourceExtId)

  Returns the list of IFilterExprDefinition. If under commercial BIRT, the list contains both of ODA extension provider registered filter definitions, and BIRT predefined filter definitions. If under OS BIRT, the list will only contain the IFilterExprDefinition instance which represent the BIRT predefined ones.

  Parameters:
    `odaDatasetExtensionId` - oda datasource extension id.
    `odaDataSourceExtensionId` - oda dataset extension id.
  Returns:
    List of IFilterExprDefinition instance.

### getFilterExpressionDefn

    public static IFilterExprDefinition getFilterExpressionDefn(java.lang.String birtFilterExprId,
                                                                java.lang.String datasetExtId,
                                                                java.lang.String datasourceExtId)

  Return the IFilterExprDefinition instance based on the passed in BIRT predefined Filter expression name. For commercial BIRT, the returned IFilterExprDefinition will provide the information that mapped to a corresponding ODA extension Filter if there is one. For OS BIRT, the returned IFilterExprDefinition will not have any map information to the ODA extension filters.

  Parameters:
    `birtFilterExprId` - the BIRT predefined fitler expression id.
    `datasetExtId` - ODA dataset extension id. Null if is for OS BIRT.
    `datasourceExtId` - ODA datasource extension id. Null if is for OS BIRT.
  Returns:
    Instance of IFilterExprDefinition. IFilterExprDefinition instance based on the passed in filter expression id.

### supportOdaExtensionFilters

    public static boolean supportOdaExtensionFilters()

  Indicates if support the ODA extension filter expressions.

  Returns:
    true if support, false if not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.